<?php
/*******************************************************************************

    Author ......... Jimmy Conner
    Contact ........ jimmy@sqmail.org
    Home Site ...... http://cactiusers.org
    Program ........ Network Tools Utility
    Version ........ 0.2
    Purpose ........ Useful Network Tools for Cacti

*******************************************************************************/

function plugin_init_tools() {
	global $plugin_hooks;
	$plugin_hooks['config_arrays']['tools'] = 'tools_config_arrays';
	$plugin_hooks['draw_navigation_text']['tools'] = 'tools_draw_navigation_text';
}

function tools_version () {
	return array( 'name' 	=> 'tools',
			'version' 	=> '0.2',
			'longname'	=> 'Network Tools',
			'author'	=> 'Jimmy Conner',
			'homepage'	=> 'http://cactiusers.org',
			'email'	=> 'jimmy@sqmail.org',
			'url'		=> 'http://cactiusers.org/cacti/versions.php'
			);
}

function tools_config_arrays () {
	global $user_auth_realms, $user_auth_realm_filenames, $menu;

	$user_auth_realm_filenames['tools.php'] = 8;
	$temp = $menu["Utilities"]['logout.php'];
	unset($menu["Utilities"]['logout.php']);
	$menu["Utilities"]['plugins/tools/tools.php'] = "Network Tools";
	$menu["Utilities"]['logout.php'] = $temp;

}
function tools_draw_navigation_text ($nav) {
	$nav["tools.php:"] = array("title" => "Network Tools", "mapping" => "index.php:", "url" => "tools.php", "level" => "1");
	$nav["tools.php:servicecheck"] = array("title" => "Network Tools", "mapping" => "index.php:", "url" => "tools.php", "level" => "1");
	$nav["tools.php:snmpwalk"] = array("title" => "Network Tools", "mapping" => "index.php:", "url" => "tools.php", "level" => "1");
	return $nav;
}

?>